Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132748 - Implement TreeUtilities.parseExpression
Implement TreeUtilities.parseExpression
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Strupl
Alexey Butenko
http://wiki.netbeans.org/JavaFXEditor...
:
Depends on:
Blocks: 130138 132628 143411
  Show dependency treegraph
 
Reported: 2008-04-14 13:10 UTC by David Strupl
Modified: 2008-11-10 13:29 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-04-14 13:10:29 UTC
alexeybutenko needs following methods to be implemented in JavaFX Source, it is needed for parsing Expressions during
debug session:
in TreeUtilities:
    public ExpressionTree parseExpression(String expr, SourcePositions[] sourcePositions)
    public TypeMirror attributeTree(Tree tree, Scope scope)
in CompilatioInfo:
    public Document getDocument()
in ClassPathInfo:
    public static ClasspathInfo create(ClassPath bootPath, ClassPath classPath, ClassPath sourcePath)
Comment 1 David Strupl 2008-04-14 15:25:19 UTC
This is quite hard to implement. I suggest to leave out this feature for the next milestone ...

As javafxc does not have such a method (similar to javac) it would have to be implemented by e.g. inserting the text
into the document and reparsing the whole document and finding out the expression tree there. I am not sure we want to
to it (in the current hurry before J1).

If there is some easier road please suggest how could this be achieved ... otherwise I will not do it now (since I don't
know how).
Comment 2 Alexey Butenko 2008-07-25 09:55:13 UTC
This issue still needed for debugger: without some parser it is not possible to get Watches and Hints work.
Comment 3 David Strupl 2008-09-08 13:06:59 UTC
Marking as fixed.
Comment 4 Alexandr Scherbatiy 2008-11-10 13:29:29 UTC
Watches work now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo